Glue Up API
User CollectionEvent Collection
Subscription CollectionMembership CollectionFinance Collection
User CollectionEvent Collection
Subscription CollectionMembership CollectionFinance Collection
  1. Event Collection
  • Retrieve the Event List
    POST
  • Retrieve the Event List by Status
    POST
  • Retrieve the User Events
    POST
  • Retrieve the Attendee Form List
    POST
  • Retrieve the Attendee Form By Id
    GET
  • Retrieve the Attendee Form Fields
    GET
  • Retrieve the Attendee List
    POST
  1. Event Collection

Retrieve the Attendee Form Fields

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
GET
/event/{eventId}/attendeeFormFields
This endpoint is used to retrieve all fields in all the Event Attendee Forms, and it can be used in the projection of the attendee list api.

Request

Path Params

Header Params

Responses

🟢200
application/json
User event list returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/event/7514/attendeeFormFields' \
--header 'a;' \
--header 'requestOrganizationId: 2018'
Response Response Example
{
    "warnings": [],
    "errors": [],
    "value": [
        {
            "id": "601bd690e4b06542fff01cd2",
            "key": "image",
            "type": "image",
            "isDefault": true,
            "createdOn": 1612437136893,
            "lastModified": 1612437136893
        },
        {
            "id": "601bd690e4b06542fff01ccc",
            "key": "givenName",
            "type": "text",
            "isDefault": true,
            "createdOn": 1612437136893,
            "lastModified": 1612437136893
        },
        {
            "id": "601bd690e4b06542fff01ccd",
            "key": "familyName",
            "type": "text",
            "isDefault": true,
            "createdOn": 1612437136893,
            "lastModified": 1612437136893
        },
        {
            "id": "601bd690e4b06542fff01cce",
            "key": "emailAddress",
            "type": "email",
            "isDefault": true,
            "createdOn": 1612437136893,
            "lastModified": 1612437136893
        },
        {
            "id": "601bd690e4b06542fff01ccf",
            "key": "phoneNumber",
            "type": "tel",
            "isDefault": true,
            "createdOn": 1612437136893,
            "lastModified": 1612437136893
        },
        {
            "id": "601bd690e4b06542fff01cd0",
            "key": "companyName",
            "type": "text",
            "isDefault": true,
            "createdOn": 1612437136893,
            "lastModified": 1612437136893
        },
        {
            "id": "601bd690e4b06542fff01cd1",
            "key": "positionTitle",
            "type": "text",
            "isDefault": true,
            "createdOn": 1612437136893,
            "lastModified": 1612437136893
        },
        {
            "id": "6a3b8c4be4b0132ab5759cab",
            "key": "text-ufhexe1o",
            "type": "text",
            "name": {
                "en": "CRM p text"
            },
            "placeholder": {
                "en": "CRM p text ph"
            },
            "createdOn": 1782287435315,
            "lastModified": 1782287744176
        },
        {
            "id": "6a3b8c4be4b0132ab5759cac",
            "key": "time-lf0yrmxd",
            "type": "time",
            "name": {
                "en": "CRM p time"
            },
            "placeholder": {
                "en": "CRM p time ph"
            },
            "createdOn": 1782287435355,
            "lastModified": 1782287744228
        },
        {
            "id": "6a3b8c4be4b0132ab5759cad",
            "key": "textarea-oz1adunj",
            "type": "textarea",
            "name": {
                "en": "Comment Box for CRM Contacts"
            },
            "placeholder": {
                "en": "Comment Box for CRM Contacts inter"
            },
            "createdOn": 1782287435394,
            "lastModified": 1782287744284
        },
        {
            "id": "6a3b8c66e4b0132ab5759cae",
            "key": "date-mnz3ksor",
            "type": "date",
            "name": {
                "en": "event custom field"
            },
            "placeholder": {
                "en": ""
            },
            "isMandatory": true,
            "isPrivate": false,
            "createdOn": 1782287462782,
            "lastModified": 1782287744338
        },
        {
            "id": "6a3b8d80e4b0132ab5759caf",
            "key": "multiple-choice-ysfqorcr",
            "type": "multiple_choice",
            "name": {
                "en": "event custom multiple choices"
            },
            "placeholder": {
                "en": ""
            },
            "options": [
                {
                    "code": "qq1",
                    "title": {
                        "en": "qq1"
                    }
                },
                {
                    "code": "q2",
                    "title": {
                        "en": "q2"
                    }
                },
                {
                    "code": "q3",
                    "title": {
                        "en": "q3"
                    }
                }
            ],
            "subtype": "checkbox",
            "hasOtherOption": false,
            "isMandatory": true,
            "isPrivate": false,
            "createdOn": 1782287744384,
            "lastModified": 1782287744384
        }
    ]
}
Modified at 2026-06-29 10:02:33
Previous
Retrieve the Attendee Form By Id
Next
Retrieve the Attendee List
Built with